package com.ejie.ab79.model.propuestaSancion;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * 
 *  
 *
 */

public class Derechos implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idDerecho;
	private Infracciones infraccion;
	private String articulo;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private Integer baja;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Derechos'.
	 */
	public Derechos() {
	}

	/**
	 * Method 'Derechos'.
	 * 
	 * @param idDerecho
	 *            Integer
	 */
	public Derechos(Integer idDerecho) {
		this.idDerecho = idDerecho;
	}

	/**
	 * @return the idDerecho
	 */
	public Integer getIdDerecho() {
		return this.idDerecho;
	}

	/**
	 * @param idDerecho
	 *            the idDerecho to set
	 */
	public void setIdDerecho(Integer idDerecho) {
		this.idDerecho = idDerecho;
	}

	/**
	 * @return the infraccion
	 */
	public Infracciones getInfraccion() {
		return this.infraccion;
	}

	/**
	 * @param infraccion
	 *            the infraccion to set
	 */
	public void setInfraccion(Infracciones infraccion) {
		this.infraccion = infraccion;
	}

	/**
	 * @return the articulo
	 */
	public String getArticulo() {
		return this.articulo;
	}

	/**
	 * @param articulo
	 *            the articulo to set
	 */
	public void setArticulo(String articulo) {
		this.articulo = articulo;
	}

	/**
	 * @return the descripcionCastellano
	 */
	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * @param descripcionCastellano
	 *            the descripcionCastellano to set
	 */
	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * @return the descripcionEuskera
	 */
	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * @param descripcionEuskera
	 *            the descripcionEuskera to set
	 */
	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * @return the baja
	 */
	public Integer getBaja() {
		return this.baja;
	}

	/**
	 * @param baja
	 *            the baja to set
	 */
	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	/**
	 * @return the fechaRegistro
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * @param fechaRegistro
	 *            the fechaRegistro to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the fechaUltmodificacion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * @param fechaUltmodificacion
	 *            the fechaUltmodificacion to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * @return the usuarioUltmodificacion
	 */
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * @param usuarioUltmodificacion
	 *            the usuarioUltmodificacion to set
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

}
